<script lang="ts" setup>
import { computed } from 'vue';

import { Tag } from 'antdv-next';

import { getDisplaySysOriginText } from '#/views/system/shared';

const props = defineProps<{
  value?: unknown;
}>();

const text = computed(() => getDisplaySysOriginText(props.value));
</script>

<template>
  <Tag v-if="text">{{ text }}</Tag>
</template>
